ORT-DIFF(1)

NAME
ort-diff - compute ort configuration differences

SYNOPSIS
ort-diff [-d] [oldconfig...] -f [config...]
ort-diff [-d] oldconfig [config]

DESCRIPTION
Accepts ort(5) config and oldconfig files, the latter defaulting to standard input, and produces differences between the two configurations.

It has no arguments, but the new configuration is preceded by -f. In a special case for simplicity, a single old and new configuration may be specified together without -f. Either oldconfig or config may be empty, and thus read from standard input, but not both.

ort-diff outputs a series of statements indicating differences. The format is not yet standardised.

This tool is still experimental.

EXIT STATUS
The ort-diff utility exits with one of the following values:

0   No differences were found.
1   Differences were found.
>1  An error occurred.

SEE ALSO
ort(5)